%global momorel 3

Summary: Data-ICal module for perl 
Name: perl-Data-ICal
Version: 0.13
Release: %{momorel}m%{?dist}
License: GPL
Group: Development/Languages
Source0: http://www.cpan.org/modules/by-module/Data/Data-ICal-%{version}.tar.gz 
NoSource: 0
URL: http://www.cpan.org/modules/by-module/Data/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPreReq: perl >= 1:5.8.1
BuildRequires: perl-Test-Warn >= 0.08
BuildRequires: perl-Test-NoWarnings >= 0.08
BuildRequires: perl-Test-LongString >= 0.09
BuildRequires: perl-Class-Accessor >= 0.27
BuildRequires: perl-Text-vFile-asData >= 0.05
BuildRequires: perl-Class-ReturnValue >= 0.53

%description
Data-ICal module for perl

%prep
%setup -q -n Data-ICal-%{version} 

%build
CFLAGS="%{optflags}" perl Makefile.PL INSTALLDIRS=vendor
make


%clean 
rm -rf %{buildroot}

%install
rm -rf %{buildroot}
make install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot}%{perl_vendorarch}/auto -name '.packlist' | xargs rm -f

find %{buildroot}/usr -type f -print | \
	sed "s@^%{buildroot}@@g" | \
	grep -v perllocal.pod | \
	sed -e 's,\(.*/man/.*\),\1*,' | \
	grep -v "\.packlist" > Data-ICal-%{version}-filelist
if [ "$(cat Data-ICal-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%files -f Data-ICal-%{version}-filelist
%defattr(-,root,root)
%doc Changes README doc/rfc2445.txt

%changelog
* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.13-3m)
- rebuild against gcc43

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (0.13-2m)
- use vendor

* Sat Feb 24 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.13-1m)
- update to 0.13

* Sat Jan 13 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.12-1m)
- update to 0.12

* Tue Dec  5 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (0.11-1m)
- update to 0.11

* Wed Nov  8 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (0.10-1m)
- update to 0.10

* Wed Oct 11 2006 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.08-1m)
- spec file was autogenerated
